## cybervillains.ca
Class ThumbprintUtil

    java.lang.Object
      cybervillains.ca.ThumbprintUtil

    public class ThumbprintUtil

extends java.lang.Object

Generates a persistent SHA1 thumbprint for long-term identification of a certificate. *************************************************************************************** Copyright (c) 2007, Information Security Partners, LLC All rights reserved. In a special exception, Selenium/OpenQA is allowed to use this code under the Apache License 2.0.

Author:
  Brad Hill

Constructor Summary
`ThumbprintUtil()`

Method Summary
`static java.lang.String` `getThumbprint(java.security.cert.X509Certificate cert)` Generates a SHA1 thumbprint of a certificate for long-term mapping.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ThumbprintUtil

    public ThumbprintUtil()

Method Detail

### getThumbprint

    public static java.lang.String getThumbprint(java.security.cert.X509Certificate cert)
                                          throws java.security.cert.CertificateEncodingException

  Generates a SHA1 thumbprint of a certificate for long-term mapping.

  Parameters:
    `cert` -
  Returns:
  Throws:
    `java.security.cert.CertificateEncodingException`

Copyright © 2009. All Rights Reserved.